Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.session
Class SessionExpiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.deegree.security.session.SessionStatusException
                  org.deegree.security.session.SessionExpiredException

All Implemented Interfaces:
  Serializable

    public class SessionExpiredException

extends SessionStatusException

This exception shall be thrown when a session(ID) will be used that has been expired.

Since:
  1.1
Version:
  1.1, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`SessionExpiredException()`
`SessionExpiredException(String arg0)`
`SessionExpiredException(String arg0, Throwable arg1)`
`SessionExpiredException(Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionExpiredException

    public SessionExpiredException()

### SessionExpiredException

    public SessionExpiredException(String arg0)

Parameters:
  `arg0` -

### SessionExpiredException

    public SessionExpiredException(String arg0,
                                   Throwable arg1)

Parameters:
  `arg0` -
  `arg1` -

### SessionExpiredException

    public SessionExpiredException(Throwable arg0)

Parameters:
  `arg0` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org